# Fresh: Keeping your docker stacks up to date

## Building

Build using NoccyLabs Pharlite.


## Usage

Options:

```
    -d,--dir <path>         Chdir to path on startup
    -c,--config <file>      Read file as docker-compose.yml
    -i,--image <image>      Only check if a newer image exists, set exitcode
    -p,--pull               Only pull, don't restart anything
    --credentials <type>    Credentials loader type (auto, basic)
    --check                 Only check (set exitcode)
    --slack <url>           Notify a Slack webhook on update
    -q,--quiet              Don't show any extra output (except dockers)
```

Update everything and up any new containers in current dir:

```
$ fresh.phar 
```

Manually pulling when changed:

```
if ! fresh.phar --check; then
    docker-compose pull
    docker-compose up -d
fi
```
